Subject: Re: bug#13074: VM Segfaults with Bad `Call' Instruction

From: [email-masked] (Ludovic Courtès)
Date: Wed, 05 Dec 2012 23:14:08 +0100

Noah Lavine <[email-masked]> skribis:

> That makes sense. I hit this error in debugging a CPS->GLIL compiler (which
> I hope will become Guile's compiler, but that's another story). However,
> once the debugging is done, I suppose it won't make a difference.

Oooh, make sure to post about your plans.

> What do you think about enabling it only in the debug VM, or something like
> that? Then if there's some way for me to run my code in debug mode, I can
> get the better output without slowing down most things.

I’m inclined to leave it as is, because it’s only hit when generating
wrong code.  How strongly do you feel about it?  :-)

Ludo’.